Bug 699618

Summary: rtl8712: No kernel module for the RTL8188SU chipset.
Product: [Fedora] Fedora Reporter: Doni Bulow <reddoni>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: rawhideCC: foxec208, gansalmon, itamar, jonathan, jwboyer, kernel-maint, larry.finger, madhu.chinakonda, reddoni, sgruszka
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: kernel-3.3.0-0.rc4.git1.4.fc17 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-02-28 05:56:25 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Doni Bulow 2011-04-26 04:03:00 EDT
Description of problem:
The kernel is built without a module for the RTL8188SU chipset, this presents me with a nasty problem, as fedora does not include GCC by default, and i have no network access i can not compile and install a module for the above mentioned chipset.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Plug in your RNX-N180UBE
2. Boot Fedora
3. Try to add a wireless network
  
Actual results:
Lack of wifi

Expected results:
Network manager to bring up the wlan0 interface as it does in ubuntu 11.04

Additional info:
Comment 1 Josh Boyer 2011-08-09 09:14:23 EDT
There is a driver for this in staging.  It will be enabled when it moves out of staging into the mainline kernel.
Comment 2 Terry Polzin 2011-09-15 10:06:04 EDT
(In reply to comment #1)
> There is a driver for this in staging.  It will be enabled when it moves out of
> staging into the mainline kernel.

Mainline kernel for which version? F-16?
Comment 3 Josh Boyer 2011-09-15 10:27:31 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > There is a driver for this in staging.  It will be enabled when it moves out of
> > staging into the mainline kernel.
> 
> Mainline kernel for which version? F-16?

The mainline kernel as in Linus Torvalds' upstream git tree.  Whenever it migrates from drivers/staging/ into drivers/net, we'll turn it on in the Fedora version that happens to be using that particular kernel release.
Comment 4 Josh Boyer 2012-02-20 19:07:53 EST
Putting this in ASSIGNED state so it doesn't keep showing up as new.

The driver is still in staging as of 3.3-rc4, but Larry does seem to be actively working on it still.
Comment 5 Larry Finger 2012-02-20 19:35:52 EST
At the moment, I am working on some problems with the staging driver. Rewriting the driver to add it to drivers/net/wireless is on my TODO list, but it has low priority. I have no idea when I will find the time.

Is it a firm decision that no staging drivers are enabled in your release? If so, it seems a bit harsh. The driver in question is very stable - the main reason it is in staging is that it does not use mac80211.
Comment 6 Josh Boyer 2012-02-20 20:26:49 EST
(In reply to comment #5)
> At the moment, I am working on some problems with the staging driver. Rewriting
> the driver to add it to drivers/net/wireless is on my TODO list, but it has low
> priority. I have no idea when I will find the time.

Thanks for the update!  I was just CC'ing you for awareness more than anything.

> Is it a firm decision that no staging drivers are enabled in your release? If
> so, it seems a bit harsh. The driver in question is very stable - the main
> reason it is in staging is that it does not use mac80211.

Very few are enabled.  Our policy is here: https://fedoraproject.org/w/index.php?title=KernelStagingPolicy

Normally the main hurdle is point #2.  Not using the mac80211 stack is something I would leave a driver disabled for unless John specifically asked for it to be turned on (and there was an active contributor for fixing bugs).
Comment 7 Larry Finger 2012-02-20 20:52:36 EST
I understand your policy, but I am certainly supporting that driver. Any changes in the vendor version are propagated into the kernel version. At https://bugs.archlinux.org/task/27996#comment89754 is a sample of recent activity.
Comment 8 Josh Boyer 2012-02-21 09:30:39 EST
(In reply to comment #7)
> I understand your policy, but I am certainly supporting that driver. Any
> changes in the vendor version are propagated into the kernel version. At
> https://bugs.archlinux.org/task/27996#comment89754 is a sample of recent
> activity.

If you're willing to help with any bugs reported, I'm willing to enable it in Fedora (for F17 and rawhide).  Would you be willing to be listed as the assignee for this driver in https://fedoraproject.org/wiki/KernelBugTriage#Bug_assignment ?
Comment 9 Larry Finger 2012-02-21 10:25:41 EST
Yes, I will handle any bugs reported.
Comment 10 Josh Boyer 2012-02-21 11:36:11 EST
(In reply to comment #9)
> Yes, I will handle any bugs reported.

Wonderful.  I've enabled it in f17 and rawhide.  Should be in the next build of each.  Thank you very much, Larry.
Comment 11 Fedora Update System 2012-02-22 14:58:39 EST
kernel-3.3.0-0.rc4.git1.4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kernel-3.3.0-0.rc4.git1.4.fc17
Comment 12 Fedora Update System 2012-02-23 17:31:38 EST
Package kernel-3.3.0-0.rc4.git1.4.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.3.0-0.rc4.git1.4.fc17'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2304/kernel-3.3.0-0.rc4.git1.4.fc17
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2012-02-28 05:56:25 EST
kernel-3.3.0-0.rc4.git1.4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.